/**
 * EntityClassContainer2.java
 *
 * File generated from the medication2::EntityClassContainer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassContainer2.
 *
 * 
 */

@XmlType(name = "EntityClassContainer")
@XmlEnum
@XmlRootElement(name = "EntityClassContainer2")
public enum EntityClassContainer2 {
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("HOLD")
	HOLD("HOLD");
	
	private final String value;

    EntityClassContainer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassContainer2 fromValue(String v) {
        for (EntityClassContainer2 c: EntityClassContainer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
